##
##  nmake.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_here  20110801
%define       V_init  2012-08-01
%define       V_base  2012-08-01

#   package information
Name:         nmake
Summary:      AT&T New Make
URL:          http://www.research.att.com/~gsf/
Vendor:       AT&T Bell Labs
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Building
License:      EPL
Version:      %{V_here}
Release:      20120808

#   list of sources
Source0:      http://I%20accept%20www.opensource.org%2flicenses%2fcpl:.@www.research.att.com/~gsf/download/tgz/ast-base.%{V_base}.tgz
Source1:      http://I%20accept%20www.opensource.org%2flicenses%2fcpl:.@www.research.att.com/~gsf/download/tgz/INIT.%{V_init}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, gcc
PreReq:       OpenPKG, openpkg >= 20100101

%description
    nmake(1) is the standard software construction tool at AT&T and
    Lucent Technologies. It is a descendent of the UNIX make(1) and is
    not related to the Microsoft program of the same name.

%track
    prog nmake = {
        version   = %{V_base}
        url       = http://www.research.att.com/~gsf/cgi-bin/download.cgi?action=list&name=ast-base
        regex     = ast-base.([\d-]+)\.tgz
    }
    prog nmake:init = {
        version   = %{V_base}
        url       = http://www.research.att.com/~gsf/cgi-bin/download.cgi?action=list&name=INIT
        regex     = INIT\.([\d-]+)\.tgz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1

%build
    SHELL=/bin/sh; export SHELL
    $SHELL -c './bin/package "read" || true'
    $SHELL -c './bin/package "make" CC="%{l_cc}"'

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        arch/*/bin/nmake $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        arch/*/man/man1/nmake.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

